name: V3 Integration flow

on:
  workflow_dispatch:

jobs:
  build-and-push:
    name: Run v3 integration flow tests

    runs-on: ubuntu-latest
    env:
      APPLICATION_NAME: backend-web-wallet
      #---v3 issuance flow
      VERSION: 1.0.0
      ENVIRONMENT: development
      LOG_LEVEL: debug

      ISSUER_SERVICE_URL: http://192.168.0.254:4299
      API_URL_PREFIX: /api/v1
      DOMAIN: https://api-pilot.ebsi.eu

      PDA_ID: 64e23c610648af12d05e310a

      AUTH_MOCK_PRIVATE_KEY: 736f625c9dda78a94bb16840c82779bb7bc18014b8ede52f0f03429902fc4ba8
      ISSUER_MOCK_KID: did:ebsi:zsqBYQuKunNdr3XfGfPUvU7#Ck8cHetkp-o62mB0ZH4QIMboTzBULhhgPaQnvtSOVBU

      ####### env for issuer-backoffice
      DB_HOST: localhost
      DB_PORT: 27017
      DB_USERNAME: root
      DB_PASSWORD: password
      ISSUER_MOCK_URI: http://192.168.0.254:4299
      AUTH_MOCK_URI: http://192.168.0.254:4300
      PDA1_CREDENTIAL_SCHEMA_ID: z5qB8tydkn3Xk3VXb15SJ9dAWW6wky1YEoVdGzudWzhcW

      ####### env for auth-server
      CONFORMANCE_DOMAIN: http://192.168.0.254:4300
      EBSI_ENV: pilot
    permissions:
      id-token: write
      contents: write
    steps:
      - name: Checkout
        uses: actions/checkout@v3
        with:
          fetch-depth: 0
          branch: feature/demo

      - name: Set up Node.js
        uses: actions/setup-node@v3
        with:
          node-version: "18"
          cache: "yarn"

      - name: Public IP
        id: ip
        uses: haythem/public-ip@v1.2

      - name: Print Public IP
        run: |
          echo ${{ steps.ip.outputs.ipv4 }}
          echo ${{ steps.ip.outputs.ipv6 }}
